> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update cart



## OpenAPI

````yaml patch /{shopId}/cart/62bcfdf2be73c47f81b25f91
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/cart/62bcfdf2be73c47f81b25f91:
    patch:
      tags:
        - Cart management
      summary: Update cart
      description: Update cart
      operationId: updateCart
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: 620230690d148855678615aa
                      qty:
                        type: number
                        example: 1
                      variant:
                        type: object
                        properties:
                          options:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: 620230e20d148855678615cb
                                label:
                                  type: string
                                  example: Color
                                name:
                                  type: string
                                  example: LetStayHome
                            example:
                              - id: 620230e20d148855678615cb
                                label: Color
                                name: LetStayHome
                  example:
                    - _id: 620230690d148855678615aa
                      qty: 1
                      variant:
                        options:
                          - id: 620230e20d148855678615cb
                            label: Color
                            name: LetStayHome
            example:
              items:
                - _id: 620230690d148855678615aa
                  qty: 1
                  variant:
                    options:
                      - id: 620230e20d148855678615cb
                        label: Color
                        name: LetStayHome
      responses:
        '200':
          description: ''

````